spring:
  profiles:
    active: dev
  servlet:
    multipart:
      max-file-size: 5120MB
      max-request-size: 5120MB
mybatis:
  #注册Mapper.xml配置文件
  mapper-locations: classpath:mapper/*.xml
  configuration:
    #配置下划线转驼峰
    map-underscore-to-camel-case: true
#分页配置
pagehelper:
  helperDialect: mysql
  reasonable: true
  supportMethodsArguments: true
  params: count=countSql
auth:
  login:
    # 进行登录验证的地址
    force-urls: /**
    # 跳过验证地址
    skip-urls: /druid/**,/,/reader/**,/**/*.pdf,/**/*.png,/**/*.jpg,/**/*.html,/**/*.ico,/**/*.css,/**/*.gif,/**/*.js,/webSocket/**,/**/*.woff2,/**/*.less,/system/auth/login,/system/auth/refreshToken,/system/auth/generatePictureCaptcha,/template/*.xlsx,/rabbit/test,/system/auth/loginByBase64,/system/admin/synchronize
rabbitmq:
  # 数据交换机
  data-exchange: ARCHIVE_DATA_EXCHANGE
  # 死信队列交换机
  dlx-data-exchange: ARCHIVE_DLX_DATA_EXCHANGE
  ocr:
    queue: ARCHIVE_OCR_QUEUE
    queue-binding-key: ARCHIVE_OCR
    queue-message-ttl: -1 #消息存活时间 单位秒 -1 不指定时间
    dlx-queue: DLX_ARCHIVE_OCR_QUEUE
    dlx-queue-binding-key: DLX_ARCHIVE_OCR
logging:
  level:
    com.gz: debug